Index: c/src/exec/rtems/optman/no-dpmem.c
===================================================================
--- c/src/exec/rtems/optman/no-dpmem.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-dpmem.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -17,4 +17,5 @@
 #include <rtems/score/object.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/status.h>
@@ -36,4 +37,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -44,4 +50,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -51,4 +62,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -60,4 +76,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -69,4 +90,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/rtems/optman/no-event.c
===================================================================
--- c/src/exec/rtems/optman/no-event.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-event.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -21,4 +21,9 @@
 #include <rtems/score/states.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
+
+void _Event_Manager_initialization( void )
+{
+}
 
 rtems_status_code rtems_event_send(
@@ -27,4 +32,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -37,4 +47,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/rtems/optman/no-mp.c
===================================================================
--- c/src/exec/rtems/optman/no-mp.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-mp.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -27,4 +27,5 @@
 #include <rtems/score/watchdog.h>
 #include <rtems/score/sysstate.h>
+#include <rtems/score/interr.h>
 
 void _Multiprocessing_Manager_initialization ( void )
@@ -34,4 +35,9 @@
 void rtems_multiprocessing_announce ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -61,4 +67,9 @@
 MP_packet_Prefix *_MPCI_Get_packet ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
@@ -68,4 +79,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -75,4 +91,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -83,4 +104,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return 0;
 }
@@ -91,8 +117,18 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
 MP_packet_Prefix  *_MPCI_Receive_packet ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
@@ -102,4 +138,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
@@ -109,8 +150,18 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
 void _MPCI_Announce ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -120,4 +171,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
  
@@ -126,8 +182,18 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
  
 MPCI_Internal_packet *_MPCI_Internal_packets_Get_packet ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
Index: c/src/exec/rtems/optman/no-msg.c
===================================================================
--- c/src/exec/rtems/optman/no-msg.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-msg.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -25,4 +25,5 @@
 #include <rtems/score/thread.h>
 #include <rtems/score/wkspace.h>
+#include <rtems/score/interr.h>
 
 void _Message_queue_Manager_initialization(
@@ -40,4 +41,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -49,4 +55,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -56,4 +67,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -65,4 +81,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -74,4 +95,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -84,4 +110,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -95,4 +126,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -103,4 +139,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -110,4 +151,10 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
+  return RTEMS_NOT_CONFIGURED;
   return 0;
 }
@@ -120,4 +167,10 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
+  return RTEMS_NOT_CONFIGURED;
   _Thread_Executing->Wait.return_code = RTEMS_UNSATISFIED;
   return TRUE;
@@ -131,4 +184,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/rtems/optman/no-part.c
===================================================================
--- c/src/exec/rtems/optman/no-part.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-part.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/rtems/part.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 void _Partition_Manager_initialization(
@@ -36,4 +37,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -45,4 +51,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -52,4 +63,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -60,4 +76,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -68,4 +89,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/rtems/optman/no-region.c
===================================================================
--- c/src/exec/rtems/optman/no-region.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-region.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -21,4 +21,5 @@
 #include <rtems/score/states.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 void _Region_Manager_initialization(
@@ -37,4 +38,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -45,4 +51,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -52,4 +63,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -63,4 +79,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -72,4 +93,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -80,4 +106,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/rtems/optman/no-rtmon.c
===================================================================
--- c/src/exec/rtems/optman/no-rtmon.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-rtmon.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -19,4 +19,5 @@
 #include <rtems/score/object.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/types.h>
@@ -34,4 +35,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -42,4 +48,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -49,4 +60,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -56,4 +72,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -64,4 +85,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -72,4 +98,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -78,4 +109,9 @@
 )
 {
-  return( FALSE );
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
+  return FALSE;
 }
Index: c/src/exec/rtems/optman/no-sem.c
===================================================================
--- c/src/exec/rtems/optman/no-sem.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-sem.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -24,4 +24,5 @@
 #include <rtems/score/thread.h>
 #include <rtems/score/threadq.h>
+#include <rtems/score/interr.h>
 
 void _Semaphore_Manager_initialization(
@@ -39,4 +40,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -48,4 +54,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -55,4 +66,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -64,4 +80,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -71,4 +92,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -79,5 +105,10 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   _Thread_Executing->Wait.return_code = RTEMS_UNSATISFIED;
-  return( TRUE );
+  return TRUE;
 }
Index: c/src/exec/rtems/optman/no-signal.c
===================================================================
--- c/src/exec/rtems/optman/no-signal.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-signal.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -18,4 +18,5 @@
 #include <rtems/score/isr.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/asr.h>
@@ -32,4 +33,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -40,4 +46,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/rtems/optman/no-timer.c
===================================================================
--- c/src/exec/rtems/optman/no-timer.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/rtems/optman/no-timer.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/score/tod.h>
 #include <rtems/score/watchdog.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/types.h>
@@ -35,4 +36,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -43,4 +49,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -50,4 +61,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -57,4 +73,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -67,4 +88,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -77,4 +103,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -84,4 +115,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/sapi/optman/no-ext.c
===================================================================
--- c/src/exec/sapi/optman/no-ext.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/sapi/optman/no-ext.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/score/thread.h>
 #include <rtems/extension.h>
+#include <rtems/score/interr.h>
 
 void _Extension_Manager_initialization(
@@ -33,4 +34,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -41,4 +47,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -48,4 +59,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/exec/sapi/optman/no-io.c
===================================================================
--- c/src/exec/sapi/optman/no-io.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/exec/sapi/optman/no-io.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/score/isr.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 void _IO_Manager_initialization(
@@ -37,6 +38,11 @@
     rtems_device_major_number major,
     rtems_device_minor_number minor
-  )
+)
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -45,6 +51,11 @@
     const char *pathname,
     rtems_driver_name_t **rnp
-  )
+)
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -56,4 +67,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -65,4 +81,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -74,4 +95,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -83,4 +109,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -92,4 +123,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -101,4 +137,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/rtems/no-dpmem.c
===================================================================
--- c/src/optman/rtems/no-dpmem.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-dpmem.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -17,4 +17,5 @@
 #include <rtems/score/object.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/status.h>
@@ -36,4 +37,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -44,4 +50,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -51,4 +62,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -60,4 +76,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -69,4 +90,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/rtems/no-event.c
===================================================================
--- c/src/optman/rtems/no-event.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-event.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -21,4 +21,9 @@
 #include <rtems/score/states.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
+
+void _Event_Manager_initialization( void )
+{
+}
 
 rtems_status_code rtems_event_send(
@@ -27,4 +32,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -37,4 +47,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/rtems/no-mp.c
===================================================================
--- c/src/optman/rtems/no-mp.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-mp.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -27,4 +27,5 @@
 #include <rtems/score/watchdog.h>
 #include <rtems/score/sysstate.h>
+#include <rtems/score/interr.h>
 
 void _Multiprocessing_Manager_initialization ( void )
@@ -34,4 +35,9 @@
 void rtems_multiprocessing_announce ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -61,4 +67,9 @@
 MP_packet_Prefix *_MPCI_Get_packet ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
@@ -68,4 +79,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -75,4 +91,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -83,4 +104,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return 0;
 }
@@ -91,8 +117,18 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
 MP_packet_Prefix  *_MPCI_Receive_packet ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
@@ -102,4 +138,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
@@ -109,8 +150,18 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
 void _MPCI_Announce ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -120,4 +171,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
  
@@ -126,8 +182,18 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
  
 MPCI_Internal_packet *_MPCI_Internal_packets_Get_packet ( void )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return NULL;
 }
Index: c/src/optman/rtems/no-msg.c
===================================================================
--- c/src/optman/rtems/no-msg.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-msg.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -25,4 +25,5 @@
 #include <rtems/score/thread.h>
 #include <rtems/score/wkspace.h>
+#include <rtems/score/interr.h>
 
 void _Message_queue_Manager_initialization(
@@ -40,4 +41,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -49,4 +55,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -56,4 +67,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -65,4 +81,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -74,4 +95,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -84,4 +110,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -95,4 +126,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -103,4 +139,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -110,4 +151,10 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
+  return RTEMS_NOT_CONFIGURED;
   return 0;
 }
@@ -120,4 +167,10 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
+  return RTEMS_NOT_CONFIGURED;
   _Thread_Executing->Wait.return_code = RTEMS_UNSATISFIED;
   return TRUE;
@@ -131,4 +184,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/rtems/no-part.c
===================================================================
--- c/src/optman/rtems/no-part.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-part.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/rtems/part.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 void _Partition_Manager_initialization(
@@ -36,4 +37,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -45,4 +51,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -52,4 +63,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -60,4 +76,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -68,4 +89,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/rtems/no-region.c
===================================================================
--- c/src/optman/rtems/no-region.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-region.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -21,4 +21,5 @@
 #include <rtems/score/states.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 void _Region_Manager_initialization(
@@ -37,4 +38,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -45,4 +51,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -52,4 +63,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -63,4 +79,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -72,4 +93,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -80,4 +106,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/rtems/no-rtmon.c
===================================================================
--- c/src/optman/rtems/no-rtmon.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-rtmon.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -19,4 +19,5 @@
 #include <rtems/score/object.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/types.h>
@@ -34,4 +35,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -42,4 +48,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -49,4 +60,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -56,4 +72,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -64,4 +85,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -72,4 +98,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
 }
 
@@ -78,4 +109,9 @@
 )
 {
-  return( FALSE );
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
+  return FALSE;
 }
Index: c/src/optman/rtems/no-sem.c
===================================================================
--- c/src/optman/rtems/no-sem.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-sem.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -24,4 +24,5 @@
 #include <rtems/score/thread.h>
 #include <rtems/score/threadq.h>
+#include <rtems/score/interr.h>
 
 void _Semaphore_Manager_initialization(
@@ -39,4 +40,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -48,4 +54,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -55,4 +66,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -64,4 +80,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -71,4 +92,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -79,5 +105,10 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   _Thread_Executing->Wait.return_code = RTEMS_UNSATISFIED;
-  return( TRUE );
+  return TRUE;
 }
Index: c/src/optman/rtems/no-signal.c
===================================================================
--- c/src/optman/rtems/no-signal.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-signal.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -18,4 +18,5 @@
 #include <rtems/score/isr.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/asr.h>
@@ -32,4 +33,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -40,4 +46,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/rtems/no-timer.c
===================================================================
--- c/src/optman/rtems/no-timer.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/rtems/no-timer.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/score/tod.h>
 #include <rtems/score/watchdog.h>
+#include <rtems/score/interr.h>
 
 #include <rtems/rtems/types.h>
@@ -35,4 +36,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -43,4 +49,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -50,4 +61,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -57,4 +73,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -67,4 +88,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -77,4 +103,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -84,4 +115,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/sapi/no-ext.c
===================================================================
--- c/src/optman/sapi/no-ext.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/sapi/no-ext.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/score/thread.h>
 #include <rtems/extension.h>
+#include <rtems/score/interr.h>
 
 void _Extension_Manager_initialization(
@@ -33,4 +34,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -41,4 +47,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -48,4 +59,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
Index: c/src/optman/sapi/no-io.c
===================================================================
--- c/src/optman/sapi/no-io.c	(revision f4d52cd74c915219a892e3d4668b3a55857f749f)
+++ c/src/optman/sapi/no-io.c	(revision 3b76313da986859d9133bfab342009336ac17aff)
@@ -20,4 +20,5 @@
 #include <rtems/score/isr.h>
 #include <rtems/score/thread.h>
+#include <rtems/score/interr.h>
 
 void _IO_Manager_initialization(
@@ -37,6 +38,11 @@
     rtems_device_major_number major,
     rtems_device_minor_number minor
-  )
+)
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -45,6 +51,11 @@
     const char *pathname,
     rtems_driver_name_t **rnp
-  )
+)
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -56,4 +67,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -65,4 +81,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -74,4 +95,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -83,4 +109,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -92,4 +123,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
@@ -101,4 +137,9 @@
 )
 {
+  _Internal_error_Occurred(
+    INTERNAL_ERROR_RTEMS_API,
+    FALSE,
+    RTEMS_NOT_CONFIGURED
+  );
   return RTEMS_NOT_CONFIGURED;
 }
